<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_11) on Tue Jun 02 09:49:51 CEST 2009 -->
<TITLE>
DefaultGenericBitSetPair
</TITLE>

<META NAME="date" CONTENT="2009-06-02">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DefaultGenericBitSetPair";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultGenericBitSetPair.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/bitset/DefaultBitSet.html" title="class in ch.javasoft.bitset"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/bitset/DefaultGenericBitSetPair.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultGenericBitSetPair.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.bitset</FONT>
<BR>
Class DefaultGenericBitSetPair&lt;B extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;B&gt;&gt;</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.bitset.DefaultGenericBitSetPair&lt;B&gt;</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../ch/javasoft/bitset/GenericBitSetPair.html" title="interface in ch.javasoft.bitset">GenericBitSetPair</A>&lt;B&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../src-html/ch/javasoft/bitset/DefaultGenericBitSetPair.html#line.37"><B>DefaultGenericBitSetPair&lt;B extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;B&gt;&gt;</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../ch/javasoft/bitset/GenericBitSetPair.html" title="interface in ch.javasoft.bitset">GenericBitSetPair</A>&lt;B&gt;</DL>
</PRE>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html#DefaultGenericBitSetPair(B, B)">DefaultGenericBitSetPair</A></B>(<A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html" title="type parameter in DefaultGenericBitSetPair">B</A>&nbsp;setA,
                                                 <A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html" title="type parameter in DefaultGenericBitSetPair">B</A>&nbsp;setB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html" title="type parameter in DefaultGenericBitSetPair">B</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html#createIntersection()">createIntersection</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html#existsSuperSet(java.lang.Iterable)">existsSuperSet</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</A>&lt;<A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html" title="type parameter in DefaultGenericBitSetPair">B</A>&gt;&nbsp;superCandidates)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html" title="type parameter in DefaultGenericBitSetPair">B</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html#intersect()">intersect</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html#isSuperSet(B)">isSuperSet</A></B>(<A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html" title="type parameter in DefaultGenericBitSetPair">B</A>&nbsp;superCandidate)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html" title="type parameter in DefaultGenericBitSetPair">B</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html#setA()">setA</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html" title="type parameter in DefaultGenericBitSetPair">B</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html#setB()">setB</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="DefaultGenericBitSetPair(ch.javasoft.bitset.GenericBitSet,ch.javasoft.bitset.GenericBitSet)"><!-- --></A><A NAME="DefaultGenericBitSetPair(B, B)"><!-- --></A><H3>
DefaultGenericBitSetPair</H3>
<PRE>
public <A HREF="../../../src-html/ch/javasoft/bitset/DefaultGenericBitSetPair.html#line.42"><B>DefaultGenericBitSetPair</B></A>(<A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html" title="type parameter in DefaultGenericBitSetPair">B</A>&nbsp;setA,
                                <A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html" title="type parameter in DefaultGenericBitSetPair">B</A>&nbsp;setB)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="setA()"><!-- --></A><H3>
setA</H3>
<PRE>
public <A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html" title="type parameter in DefaultGenericBitSetPair">B</A> <A HREF="../../../src-html/ch/javasoft/bitset/DefaultGenericBitSetPair.html#line.46"><B>setA</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSetPair.html#setA()">setA</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSetPair.html" title="interface in ch.javasoft.bitset">GenericBitSetPair</A>&lt;<A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html" title="type parameter in DefaultGenericBitSetPair">B</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html" title="type parameter in DefaultGenericBitSetPair">B</A>&gt;&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setB()"><!-- --></A><H3>
setB</H3>
<PRE>
public <A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html" title="type parameter in DefaultGenericBitSetPair">B</A> <A HREF="../../../src-html/ch/javasoft/bitset/DefaultGenericBitSetPair.html#line.50"><B>setB</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSetPair.html#setB()">setB</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSetPair.html" title="interface in ch.javasoft.bitset">GenericBitSetPair</A>&lt;<A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html" title="type parameter in DefaultGenericBitSetPair">B</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html" title="type parameter in DefaultGenericBitSetPair">B</A>&gt;&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="intersect()"><!-- --></A><H3>
intersect</H3>
<PRE>
public final <A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html" title="type parameter in DefaultGenericBitSetPair">B</A> <A HREF="../../../src-html/ch/javasoft/bitset/DefaultGenericBitSetPair.html#line.54"><B>intersect</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSetPair.html#intersect()">intersect</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSetPair.html" title="interface in ch.javasoft.bitset">GenericBitSetPair</A>&lt;<A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html" title="type parameter in DefaultGenericBitSetPair">B</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html" title="type parameter in DefaultGenericBitSetPair">B</A>&gt;&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="createIntersection()"><!-- --></A><H3>
createIntersection</H3>
<PRE>
protected <A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html" title="type parameter in DefaultGenericBitSetPair">B</A> <A HREF="../../../src-html/ch/javasoft/bitset/DefaultGenericBitSetPair.html#line.61"><B>createIntersection</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isSuperSet(ch.javasoft.bitset.GenericBitSet)"><!-- --></A><A NAME="isSuperSet(B)"><!-- --></A><H3>
isSuperSet</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/bitset/DefaultGenericBitSetPair.html#line.65"><B>isSuperSet</B></A>(<A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html" title="type parameter in DefaultGenericBitSetPair">B</A>&nbsp;superCandidate)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSetPair.html#isSuperSet(B)">isSuperSet</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSetPair.html" title="interface in ch.javasoft.bitset">GenericBitSetPair</A>&lt;<A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html" title="type parameter in DefaultGenericBitSetPair">B</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html" title="type parameter in DefaultGenericBitSetPair">B</A>&gt;&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="existsSuperSet(java.lang.Iterable)"><!-- --></A><H3>
existsSuperSet</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/bitset/DefaultGenericBitSetPair.html#line.70"><B>existsSuperSet</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</A>&lt;<A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html" title="type parameter in DefaultGenericBitSetPair">B</A>&gt;&nbsp;superCandidates)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSetPair.html#existsSuperSet(java.lang.Iterable)">existsSuperSet</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSetPair.html" title="interface in ch.javasoft.bitset">GenericBitSetPair</A>&lt;<A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html" title="type parameter in DefaultGenericBitSetPair">B</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/DefaultGenericBitSetPair.html" title="type parameter in DefaultGenericBitSetPair">B</A>&gt;&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/bitset/DefaultGenericBitSetPair.html#line.82"><B>toString</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultGenericBitSetPair.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/bitset/DefaultBitSet.html" title="class in ch.javasoft.bitset"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/bitset/DefaultGenericBitSetPair.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultGenericBitSetPair.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
